import type { AdditionalEventDataForMapper } from '../../sdk/EventMappers/EventMapper';
import { EventMapper } from '../../sdk/EventMappers/EventMapper';
import type { ErrorSource } from '../types';
type RawError = {
    message: string;
    source: ErrorSource;
    stacktrace: string;
    context: object;
    timestampMs: number;
    fingerprint: string;
};
type ErrorEvent = RawError & AdditionalEventDataForMapper;
type NativeError = {
    message: string;
    source: ErrorSource;
    stacktrace: string;
    context: object;
    timestampMs: number;
    fingerprint: string;
};
export type ErrorEventMapper = (event: ErrorEvent) => ErrorEvent | null;
export declare const generateErrorEventMapper: (eventMapper: ErrorEventMapper | undefined) => EventMapper<RawError, ErrorEvent, NativeError>;
export {};
//# sourceMappingURL=errorEventMapper.d.ts.map